From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Mon, 14 Sep 2020 10:06:24 +0200
Subject: arm64: dts: imx8mq-librem5: Add Dogwood and Evg DP alt mode
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Connect extcon

Signed-off-by: Guido Günther <guido.gunther@puri.sm>
---
 .../boot/dts/freescale/imx8mq-librem5-r3.dtsi      | 25 ++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-r3.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5-r3.dtsi
index b2b4480..6be9aef 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-r3.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-r3.dtsi
@@ -46,6 +46,31 @@ &camera_front {
 	shutdown-gpios = <&gpio5 4 GPIO_ACTIVE_LOW>;
 };
 
+/delete-node/ &dcss_dsi_out;
+/delete-node/ &mipi_dsi_dcss_in;
+&dcss {
+	status = "okay";
+
+	port@0 {
+		dcss_dp_out: endpoint {
+			remote-endpoint = <&hdmi_in>;
+		};
+	};
+};
+
+&hdmi {
+	compatible = "nxp,imx8mq-cdns-dp";
+	extcon = <&typec_pd>;
+	lane-mapping = <0xc6>;
+	status = "okay";
+
+	port@1 {
+		hdmi_in: endpoint {
+			remote-endpoint = <&dcss_dp_out>;
+		};
+	};
+};
+
 &iomuxc {
 	pinctrl_r3_camera_pwr: r3camerapwrgrp {
 		fsl,pins = <
